from blue import *
from blue.utility import TextUtilities
from electric.xml import Document
from java.io import File
from javax.swing import *
from java.awt import Graphics

class NoteDrawCanvas(JComponent):
	def __init__(self, nl):
		self.nl = nl

	def paintComponent(self,g):
		for note in nl:
			print note

f = File("ambiences_v6.blue")

text = TextUtilities.getTextFromFile(f)
d = Document(text)

data = BlueData.loadFromXML(d.getElement("blueData"))

pObj = data.getPolyObject()

nl = pObj.generateNotes()

frame = JFrame("Score Visualization")
frame.getRootPane().add(NoteDrawCanvas(nl))
#frame.getRootPane().add(JButton("test"))

frame.setSize(800,600)

frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE)

frame.show()

